Description: My first try to make events launching custom scripts failed.

Any event is called up to three times upon launching LiveTV, while with other events never got any success.

History
07/07/2010 02:32 pm - brfransen
- Status changed from New to Works for me

I tried 6 or so different events including LiveTV and they all fired as expected. Make sure you have the correct path and that the script is executable.  
Look in the mythbackend.log for MythSystemEventHandler errors or warnings.

07/07/2010 10:43 pm - dfdario
Before opening this issue I already tried every possible way to get it working.
My present situation is:
Events configuration is not available in the mythtv-setup (ctrl-s) but only in services > setup etc (mythfrontend).
Event configuration page was only present after installation at first boot and never more.
mythbackend.log doesn't report any error
When I open LiveTV mythbackend.log reports the ANN Monitor ... and, if Any event is configured event is fired none, one, two or three times but this is 
not reported in mythbackend.log. In this case mythbackend.log doesn't report any MythSystemEventHandler.
I forgot to say that all this is made on a SBE. On MBE I tried once and behaviour was pretty the same.

Since the system have not passed WAF yet, what I can do is reinstall everything and try again, but what is still weird to me is the missing of the config 
events page in mythtv-setup. May be this missing prejudices all to work properly. 
Unless this tiny problem all my MBE and SBE are performing really well. I need events to manage correctly shutdown and wakeup of SBE. I want SBE 
being waked up if a recording stored in it is played from any others SBE/MBE . The same, but less important, for LiveTV and TV cards even if switching 
from TVcards seems not working on mythtv 0.23 while it was on mythbuntu 9.04 and mythtv 0.22. 

07/08/2010 01:40 pm - dfdario
After complete reinstall Master Backed fires events correctly.
Tomorrow I will install Slave Backed.
Unfortunately, as I reported on the forum, to install SBE I need to install the SBE as MBE without connecting it to any network, then revert it from MBE 
to SBE and finally connect it to the existing MBE.
May be the copying of DB data from converted MBE2SBE to MBE DB forgets to copy events.
Tomorrow I will be more precise.

07/09/2010 09:29 am - dfdario
Test I performed got the following results:
- If MBE is installed alone all work properly events are fired
- If SBE is added with the procedure I explained in the post of yesterday (MBE reverted to SBE) MBE maintains the configured events while SBE events 
are not fired at all (may be events are not copied properly when MBE DB is converted?) 
- If I directly add SBE to the existing MBE DB get messed up and all configurations are lost (even TV cards)

Note: SBE in my configuration is intended SBE+FE

(I will be abroad for a week - back on 7/17)
07/09/2010 10:33 pm - dfdario
Googling around at this link [[http://www.gossamer-threads.com/lists/mythtv/commits/414798]] I have found this:
... _Which process actually runs the handler command is unspecified in the case of a slave backend and a frontend process._ ...
but it is not clear to me what is intended. Does it mean that if I have SBE+FE (my config) events are not fired?

07/09/2010 11:20 pm - dfdario
Ahhh now I got it!
Events are fired always on MBE even if generated by remote FE (my SBE is always sleeping).
In this case what is configured on my SBE will never been applied. This is what it was confusing me.
What I want to do is wake-up slave if a play or a LiveTV whatching is requested on resources are belonging to that SBE+FE.
On step more...

But I still don't know why before complete reinstall no events were fired!
